<div class="associated-loans">
  <h2 class="associated-loans__title">
    {{ "CUSTOMERS.CUSTOMER_PROFILE.ASSOCIATED_LOANS.TITLE" | translate }}
  </h2>
  <p class="associated-loans__description">
    {{ "CUSTOMERS.CUSTOMER_PROFILE.ASSOCIATED_LOANS.DESCRIPTION" | translate }}
  </p>
  <div class="associated-loans__table">
    <mo-table
      [designClass]="designClass"
      [headers]="headers"
      [data]="associatedLoans$ | async"
      [fixedMinWidth]="false"
      [isLoading]="isLoading$ | async"
      [loadingColumns]="4"
    ></mo-table>
    <div class="buttons" *ngIf="customer_id">
      <mo-button
        [text]="
          'CUSTOMERS.CUSTOMER_PROFILE.ASSOCIATED_LOANS.BTN_VISIT_LOAN_MANAGER'
            | translate
        "
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [routerLink]="loanUrl"
        [queryParams]="{ customer_id }"
      ></mo-button>
    </div>
  </div>
</div>
